ATOL(3)

NAME
atol - convert a string to a long integer.

SYNOPSIS
#include <stdlib.h>

long atol(const char *nptr);

DESCRIPTION
The atol() function converts the initial portion of the string pointed to by nptr to long. The behaviour is the same as

    strtol(nptr, (char **)NULL, 10);

except that atol() does not detect errors.

RETURN VALUE
The converted value.

CONFORMING TO
SVID 3, POSIX, BSD 4.3, ISO 9899

SEE ALSO
atof(3), atoi(3), strtod(3), strtol(3), strtoul(3)